LLDB API Documentation

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
lldb::SBStructuredData Class Reference

`#include <SBStructuredData.h>`

## Public Member Functions
| SBStructuredData ()
| SBStructuredData (const lldb::SBStructuredData &rhs)
| SBStructuredData (const lldb::EventSP &event_sp)
| ~SBStructuredData ()
lldb::SBStructuredData & | operator= (const lldb::SBStructuredData &rhs)
bool | IsValid () const
void | Clear ()
lldb::SBError | GetAsJSON (lldb::SBStream &stream) const
lldb::SBError | GetDescription (lldb::SBStream &stream) const

## Detailed Description

Definition at line 18 of file SBStructuredData.h.

## Constructor & Destructor Documentation

lldb::SBStructuredData::SBStructuredData | ( |  | ) |

lldb::SBStructuredData::SBStructuredData | ( | const lldb::SBStructuredData & | rhs | ) |

lldb::SBStructuredData::SBStructuredData | ( | const lldb::EventSP & | event_sp | ) |

lldb::SBStructuredData::~SBStructuredData | ( |  | ) |

## Member Function Documentation

void lldb::SBStructuredData::Clear | ( |  | ) |

lldb::SBError lldb::SBStructuredData::GetAsJSON | ( | lldb::SBStream & | stream | ) | const

lldb::SBError lldb::SBStructuredData::GetDescription | ( | lldb::SBStream & | stream | ) | const

bool lldb::SBStructuredData::IsValid | ( |  | ) | const

lldb::SBStructuredData& lldb::SBStructuredData::operator= | ( | const lldb::SBStructuredData & | rhs | ) |

The documentation for this class was generated from the following file:

- SBStructuredData.h